summaryrefslogtreecommitdiff
path: root/source4/heimdal_build/et_compile_wrapper.sh
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2008-05-28 12:07:20 +1000
committerAndrew Tridgell <tridge@samba.org>2008-05-28 12:07:20 +1000
commit275e057bea09c1d15228963a5b5650df28a4b24b (patch)
treefc24aee4174815930451e86f73d1997028169a49 /source4/heimdal_build/et_compile_wrapper.sh
parent0dbef08a9a4ae127f4eaf80dfbbb00e000bdf866 (diff)
parent715cee3bdbabd86b7603fbb43da470bdb8c1fe9d (diff)
downloadsamba-275e057bea09c1d15228963a5b5650df28a4b24b.tar.gz
samba-275e057bea09c1d15228963a5b5650df28a4b24b.tar.bz2
samba-275e057bea09c1d15228963a5b5650df28a4b24b.zip
Merge branch 'v4-0-test' of ssh://git.samba.org/data/git/samba into v4-0-test
(This used to be commit ecb0e5477aa63180daade5c597e7ac2aebfc1e15)
Diffstat (limited to 'source4/heimdal_build/et_compile_wrapper.sh')
-rwxr-xr-xsource4/heimdal_build/et_compile_wrapper.sh28
1 files changed, 7 insertions, 21 deletions
diff --git a/source4/heimdal_build/et_compile_wrapper.sh b/source4/heimdal_build/et_compile_wrapper.sh
index d7d47ba363..ec3b39ff56 100755
--- a/source4/heimdal_build/et_compile_wrapper.sh
+++ b/source4/heimdal_build/et_compile_wrapper.sh
@@ -4,19 +4,13 @@
SELF=$0
SELFDIR=`dirname ${SELF}`
-SRCDIR=$1
-BUILDDIR=$2
-DESTDIR=$3
+BUILDDIR=$1
+DESTDIR=$2
-CMD=$4
-FILE=$5
-SOURCE=$6
-shift 6
-
-test -z "${SRCDIR}" && {
- echo "${SELF}:SRCDIR: '${SRCDIR}'" >&2;
- exit 1;
-}
+CMD=$3
+FILE=$4
+SOURCE=$5
+shift 5
test -z "${BUILDDIR}" && {
echo "${SELF}:BUILDDIR: '${BUILDDIR}'" >&2;
@@ -45,14 +39,6 @@ test -z "${SOURCE}" && {
CURDIR=`pwd`
-cd ${SRCDIR} && {
- ABS_SRCDIR=`pwd`
- cd ${CURDIR}
-} || {
- echo "${SELF}:cannot cd into '${SRCDIR}'" >&2;
- exit 1;
-}
-
cd ${BUILDDIR} && {
ABS_BUILDDIR=`pwd`
cd ${CURDIR}
@@ -62,7 +48,7 @@ cd ${BUILDDIR} && {
}
cd ${DESTDIR} && {
- ${ABS_BUILDDIR}/${CMD} ${ABS_SRCDIR}/${FILE} >&2 || exit 1;
+ ${ABS_BUILDDIR}/${CMD} ${FILE} >&2 || exit 1;
cd ${CURDIR}
TMP="${SOURCE}.$$"
mv ${SOURCE} ${TMP} && {